<%@page language="java" contentType="text/html" pageEncoding="UTF-8"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>MyEclipse REST Web Service Example</title>
	</head>
	<body>
		<h1>
			MyEclipse REST Web Service Example
		</h1>
		<div
			style="padding-left: 5px; padding-top: 10px; padding-bottom: 10px; background: #f0f0f0">
			<b><a href="rest.jsp">Click here</a> to begin testing this
				example</b>
		</div>
		<h2>
			Description
		</h2>
		This is a MyEclipse REST WebService application used to manage a list of customers in a database. Some key concepts covered in this example are:
		<ul>
		<li>Java EE 6, Java 1.7, JAX-RS 2.0 WebServices and JPA 2.1 (with EclipseLink 2.5 provider)</li>
		<li>JPA entities and REST facade generated using MyEclipse Persistence Tools</li>
		<li>An EXT JS based AJAX front-end uses a RESTful web service to add,
		retrieve and delete customers from a live Derby database</li>
		</ul>

		<h2>
			Requirements
		</h2>
		<ul>
			<li>
				&nbsp;MyEclipse 2014 or later.
			</li>
		</ul>
		<h2>
			How to Run
		</h2>
		<ol>
			<li>
				You must first start the embedded Derby server which hosts the
				database this application will use. Switch to the Servers view,
				select MyEclipse Derby and click the Run button.
			</li>
			<li>
				Right-click the project and select Rus As &gt; MyEclipse Server
				Application; if asked for a server, select MyEclipse Tomcat and
				click OK. This will deploy the application to our embedded Tomcat
				server and start the server. An internal web browser will
				automatically start the application, which will be available at:
				<a href="http://localhost:8080/RESTWebServiceAjaxJPAExample">http://localhost:8080/REST2WebServiceAjaxJPAExample</a>
				<p>
					<strong>NOTE:</strong> If you have changed the MyEclipse Tomcat
					port from 8080 to something else or if you choose to deploy to
					another server, be sure to change the URL to the correct port.
				</p>
			</li>
		</ol>
		<h2>
			Related Links
		</h2>
		<ul>
			<li>
				<a
					href="http://docs.myeclipseide.com/topic/com.genuitec.myeclipse.ws.doc/html/quickstarts/webservices_rest/index.html">MyEclipse
					REST Web Services Tutorial</a>
			</li>
			<li>
				<a href="http://docs.myeclipseide.com/topic/com.genuitec.myeclipse.persistence.doc/html/quickstarts/jpa/index.html">MyEclipse
					JPA Tutorial</a>
			</li>
			<li>
				<a
					href="http://docs.myeclipseide.com/topic/com.genuitec.myeclipse.web.doc/html/quickstarts/javascript/index.html">MyEclipse
					JavaScript Development and Debugging Tutorial</a>
			</li>
		</ul>
		<h2>
			Feedback
		</h2>
		<p>We hope you found this example project helpful. If you ran into any problems while working with the example project, please feel free to post to our <a href="http://www.myeclipseide.com/index.php?module=PNphpBB2" target="_blank">support forums</a> and let us know. Also if you have any suggestions for improvements, noticed something wrong or just wanted to ask questions we encourage you to post and let us know!</p>
	</body>
</html>
